#include <iostream>
using namespace std;
enum STRANA{LEVO, DESNO, SREDINA};
int main() {
    long n, levo = 0, desno = 0, obojeni = 0, neobojeni = 0;
    unsigned long resenje = 0;
    short m, x;
    cin >> n >> m;
    short a[n];
    STRANA b[n];
    if(m % 2) x = m + 1;
    else x = m;
    for(long i = 0; i < n; i++) {
        cin >> a[i];
        if(a[i] < x - a[i])
            b[i] = LEVO, levo++;
        else if(a[i] == x - a[i])
            b[i] = SREDINA;
        else
            b[i] = DESNO, desno++;
    }
    for(short i = 1; i <= m; i++) {
        obojeni = neobojeni = 0;
        for(long j = 0; j < n; j++) {
            if((b[j] == LEVO) || (b[j] == SREDINA && levo > desno)) {
                if(i <= a[j])
                    obojeni++;
                else
                    neobojeni++;
            }
            else {
                if(i > a[j])
                    obojeni++;
                else
                    neobojeni++;
            }
        }
        resenje += (obojeni * neobojeni);
    }
    cout << resenje;
}